# Список изменений в версии 9.0.0

## Добавлено
### Глобально
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-798 | Обновлены системные требования: версия интерпретатора Python обновлена до 3.12, версия Python-библиотеки ansible обновлена до 11.6.0 |

### Модуль decort_kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-790 | Добавлен параметр `zone_id` и возвращаемое значение `zone_id`. |
| BANS-810 | Добавлен параметр `guest_agent` и возвращаемое значение `guest_agent`. |
| BANS-806 | Добавлен параметр `get_snapshot_merge_status` и возвращаемое значение `snapshot_merge_status`. |
| BANS-823 | Добавлено значение `TRUNK` для параметра `networks.type`. |
| BANS-813 | Добавлено значение `SDN` для параметра `networks.type`. |
| BANS-835 | Добавлена возможность использования параметра `networks.mtu` для внешней сети. |

### Модуль decort_lb
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-793 | Добавлен параметр `zone_id` и возвращаемое значение `zone_id`. |
| BANS-819 | Добавлено возвращаемое значение `account_id`. |
| BANS-800 | Добавлены значения `stopped` и `started` для параметра `state` и возвращаемое значение `tech_status`. |

### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-794 | Добавлен параметр `zone_id` и возвращаемое значение `zone_id`. |
| BANS-804 | Добавлены значения `stopped` и `started` для параметра `state`. |

### Модуль decort_vins
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-791 | Добавлен параметр `zone_id` и возвращаемое значение `zone_id`. |

### Модуль decort_bservice
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-792 | Добавлен параметр `zone_id` и возвращаемое значение `zone_id`. |
| BANS-805 | Добавлены значения `stopped` и `started` для параметра `state`. |

### Модуль decort_user_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-796 | Добавлен параметр `zones` и возвращаемое значение `zones`. |
| BANS-826 | Добавлен параметр `trunks` и возвращаемое значение `trunks`. |

### Модуль decort_account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-789 | Добавлен параметр `default_zone_id` и возвращаемые значение `zoneIds`, `defaultZoneId`. |

### Модуль decort_account_info
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-809 | Добавлено значение `MERGE` для параметра `computes.filter.tech_status`. |
| BANS-855 | Добавлены значения `SNAPCREATE`, `CLONING`, `ROLLBACK` для параметра `computes.filter.tech_status`. |

### Модуль decort_rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-812 | Добавлен параметр `sdn_access_group_id` и возвращаемое значение `sdn_access_group_id`. |

### Модуль decort_zone
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-795 | Добавлен модуль `decort_zone` для получения информации о зонах. |

### Модуль decort_trunk
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-825 | Добавлен модуль `decort_trunk` для получения информации о транковых портах. |

### Модуль decort_snapshot
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-808 | Добавлено значение `merge_aborted` для параметра `state`. |

### Модуль decort_osimage
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-849 | Добавлен параметр `account_id`, используемый при создании шаблонных и виртуальных образов. |

## Удалено
### Модуль decort_disk
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-815 | Удалено значение по умолчанию для параметра `description`. |

### Модуль decort_lb
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-815 | Удалено значение по умолчанию для параметра `description`. |

### Модуль decort_k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-804 | Удален параметр `started` в связи с переносом логики в параметр `state` (значение `started`). |

### Модуль decort_bservice
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-805 | Удален параметр `started` в связи с переносом логики в параметр `state` (значение `started`). |

### Модуль decort_osimage
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-849 | Удален параметр `account_Id` в связи с переименованием в `account_id`. |

## Исправлено
### Модуль decort_lb
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-803 | Модуль завершал работу ошибкой Python при создании балансировщика с указанием параметра `backends` или `frontends`. |
| BANS-820 | Выполнение модуля с указанием параметра `vins_id` и без указания параметра `ext_net_id` вызывало создание балансировщика с некорректной сетевой конфигурацией, дальнейшее добавление конфигурации backend к которому завершалось ошибкой платформы. |
| BANS-799 | Скорректирована логика параметра целевого состояния `present`. Теперь состояние `present` соответствует тому, что балансировщик нагрузки существует, и не приводит к изменению состояния существующего балансировщика нагрузки. Также для параметра `state` значение по умолчанию `present` теперь только при создании балансировщика нагрузки. |

### Модуль decort_account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BANS-817 | Модуль некорректно отслеживал завершение удаления и восстановления аккаунта. |
